> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nadcab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List card transactions



## OpenAPI

````yaml GET /cards/transaction
openapi: 3.1.0
info:
  title: Nadcab Labs Card Issuing API
  version: 1.0.0
  description: >-
    Issue and manage crypto-funded virtual and physical cards, cardholders,
    wallet deposits and remittances.
servers:
  - url: https://cc.nadcab.com/api/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Card BINs
    description: List card BINs you can issue on.
  - name: Account
    description: Wallet balance, deposits and withdrawals.
  - name: API settings
    description: Webhook URL, IP allowlist and card data encryption key.
  - name: Cards
    description: Create, fund, freeze and close cards.
  - name: Cardholders
    description: Create and manage cardholders for B2C card programs.
  - name: Remittance
    description: Send fiat bank transfers funded from your wallet.
paths:
  /cards/transaction:
    get:
      tags:
        - Cards
      summary: List card transactions
      operationId: listCardTransactions
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      total:
                        type: integer
                      per_page:
                        type: integer
                      current_page:
                        type: integer
                      last_page:
                        type: integer
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/CardTransaction'
                    required:
                      - total
                      - per_page
                      - current_page
                      - last_page
                      - data
                required:
                  - code
                  - msg
                  - data
              example:
                code: 200
                msg: success
                data:
                  total: 8
                  per_page: 20
                  current_page: 1
                  last_page: 1
                  data:
                    - finished_at: '2026-09-02 15:24:34'
                      id: 17fbee23-36a8-4d77-80f7-5593df727fd1
                      transaction_time: '2024-08-22 12:11:37'
                      client_transaction_id: 1f7e883e-12ed-4ad0-a725-069f730a5b9e
                      card_no: '4931930106108974'
                      card_id: CA2408221211158
                      amount: '12.00'
                      currency: USD
                      fee: '0.00'
                      detail: ''
                      order_currency: null
                      order_amount: null
                      status: Closed
                      type: Create
                      remark: ''
                    - finished_at: '2026-09-02 15:24:34'
                      id: 32800340-6454-4195-b9bc-411f5dbbcd1b
                      transaction_time: '2024-08-22 16:43:05'
                      client_transaction_id: b07a66e0-ab1d-4c30-aeb5-dca924f4906f
                      card_no: '4931930103185462'
                      card_id: CA2408221643251
                      amount: '1.00'
                      currency: USD
                      fee: '0.00'
                      detail: ''
                      order_currency: null
                      order_amount: null
                      status: Closed
                      type: Create
                      remark: ''
                    - finished_at: '2026-09-02 15:24:34'
                      id: 38254e80-cff5-4cb1-bab7-763f5ffabb80
                      transaction_time: '2024-08-22 12:02:34'
                      client_transaction_id: 37e56e0c-b281-4950-82d6-07aaf6232dd3
                      card_no: '4931930101305625'
                      card_id: CA2408221202032
                      amount: '10.00'
                      currency: USD
                      fee: '0.00'
                      detail: ''
                      order_currency: null
                      order_amount: null
                      status: Closed
                      type: Create
                      remark: ''
                    - finished_at: '2026-09-02 15:24:34'
                      id: 59c7bad8-580a-4fac-8fc4-628c86520027
                      transaction_time: '2024-08-22 14:08:19'
                      client_transaction_id: c4b2cb89-8867-4970-9db8-9eb637db72f9
                      card_no: '4931930106108974'
                      card_id: CA2408221211158
                      amount: '11.70'
                      currency: USD
                      fee: '0.00'
                      detail: ''
                      order_currency: null
                      order_amount: null
                      status: Closed
                      type: Destroy
                      remark: ''
                    - finished_at: '2026-09-02 15:24:34'
                      id: 667f4971-07d3-4dfb-aa11-93fa8031911f
                      transaction_time: '2024-08-22 13:44:17'
                      client_transaction_id: '1232123112'
                      card_no: '4931930107327441'
                      card_id: CA2408221344684
                      amount: '1.00'
                      currency: USD
                      fee: '0.00'
                      detail: ''
                      order_currency: null
                      order_amount: null
                      status: Closed
                      type: Create
                      remark: ''
                    - finished_at: '2026-09-02 15:24:34'
                      id: 9c0230e0-9552-4815-82cd-a979e8aacb82
                      transaction_time: '2024-08-22 14:07:05'
                      client_transaction_id: 22babdb1-f7be-4aee-bac8-567ffc4b8fef
                      card_no: '4931930106108974'
                      card_id: CA2408221211158
                      amount: '0.10'
                      currency: USD
                      fee: '0.00'
                      detail: ''
                      order_currency: null
                      order_amount: null
                      status: Closed
                      type: TransferOut
                      remark: ''
components:
  schemas:
    CardTransaction:
      type: object
      properties:
        id:
          type: string
          description: Transaction ID
        type:
          type: string
          enum:
            - Create
            - Consumption
            - TransferIn
            - TransferOut
            - Frozen
            - UnFrozen
            - Reversal
            - Credit
            - Destroy
            - Fee_Consumption
            - Suspend
            - Enable
            - Verification
            - Penalty
            - Settlement
          description: Type
        transaction_time:
          type: string
          description: Transaction time
        card_id:
          type: string
          description: Card ID
        card_no:
          type: string
          description: Card number
        amount:
          type: string
          description: Transaction amount
        fee:
          type: string
          description: Fee
        currency:
          type: string
          description: Transaction currency
        order_amount:
          type: string
          description: Order amount
        order_currency:
          type: string
          description: Order currency
        status:
          type: string
          enum:
            - Pending
            - Fail
            - Closed
          description: Status
        detail:
          type: string
          description: Details
        mcc:
          type: string
          description: Merchant category code (MCC)
        client_transaction_id:
          type: string
          description: Client ID
        remark:
          type: string
          description: Remark
        merchant_country:
          type: string
          description: Merchant country
        related_card_transaction_id:
          type: string
          description: Related client ID
        finished_at:
          type: string
          description: Completed at
      required:
        - id
        - transaction_time
        - client_transaction_id
        - card_no
        - card_id
        - amount
        - currency
        - fee
        - detail
        - type
        - remark
        - order_amount
        - order_currency
        - mcc
        - merchant_country
        - related_card_transaction_id
        - status
        - finished_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your API key from Console → Settings → Key & Access, sent as
        `Authorization: Bearer ncl_...`.

````